import catppuccin

# pylint: disable=C0111
from qutebrowser.config.configfiles import ConfigAPI  # noqa: F401
from qutebrowser.config.config import ConfigContainer  # noqa: F401

# fmt: off
config: ConfigAPI = config  # type: ConfigAPI # noqa: F821 pylint: disable=E0602,C0103 # pyright: ignore
c: ConfigContainer = c  # type: ConfigContainer # noqa: F821 pylint: disable=E0602,C0103 # pyright: ignore
# fmt: on

# load autoconfig values
config.load_autoconfig()

# load catppuccin theme
catppuccin.setup(c, "Machiatto", True)

# change startpage
c.url.start_pages = ['https://startpage.cronyakatsuki.xyz']

# launch with mpv
config.bind(',m', 'spawn mpv {url}')
config.bind(',M', 'hint links spawn mpv {hint-url}')

# disable javascript globally
c.content.javascript.enabled = False

# enable dark mode
c.content.webpage.darkmode.enable = True
